IBM z/OS Version 2 Release 4

Certificate details

Status active
Valid from 13.01.2022
Valid until 13.01.2027
Scheme 🇮🇹 IT
Manufacturer IBM Corporation
Category Operating Systems
Security level ALC_FLR.3, EAL4+

Certificate

certificate could not be downloaded, no link is available.

Certification report

Extracted keywords

Symmetric Algorithms
AES, DES, TDES, Rabbit, HMAC
Hash functions
SHA256
Schemes
Key Exchange
Protocols
SSH, TLS, IKE

Security level
EAL4+, EAL4, EAL2, EAL4 augmented
Claims
O.J
Security Assurance Requirements (SAR)
ADV_ARC.1, ADV_FSP.4, ADV_IMP.1, ADV_TDS.3, AGD_OPE.1, AGD_PRE.1, ALC_FLR.3, ALC_FLR, ALC_CMC.4, ALC_CMS.4, ALC_DEL.1, ALC_DVS.1, ALC_LCD.1, ALC_TAT.1, ATE_COV.2, ATE_DPT.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.3, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1
Security Functional Requirements (SFR)
FCS_TLSC_PLUS.1
Protection profiles
BSI-CC-PP-0067, BSI-CC-PP- 0067
Certificates
OCSI/CERT/ATS/03/2020/RC, OCSI/CERT/ATS/01/2018/RC
Evaluation facilities
atsec

Side-channel analysis
side channels, side channel
Vulnerabilities
CVE-2018-0734, CVE-2018-0735

Standards
PKCS#11, RFC 4217, ISO/IEC 15408, CCMB-2017-04-001, CCMB-2017-04-002, CCMB-2017-04-003, CCMB-2017-04-004

Cross-references

Outgoing

Security target

Extracted keywords

Symmetric Algorithms
AES, AES-256, DES, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512
Asymmetric Algorithms
ECDHE, ECDSA, ECC, Diffie-Hellman, DH, DSA
Hash functions
SHA-1, SHA256, SHA384, SHA512, SHA-256, SHA-384, SHA-512, SHA-2
Schemes
MAC, Key Exchange
Protocols
SSH, SSHv2, SSL, TLS, TLS 1.2, TLS 1.3, TLS v1.2, IKE, IKEv2, IKEv1, IPsec
Randomness
TRNG, DRBG, RBG
Elliptic Curves
P-256, P-384, P-521, secp256r1, secp384r1, secp521r1
Block cipher modes
ECB, CBC, CTR, GCM, XTS
TLS cipher suites
TLS_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384

Trusted Execution Environments
SE

Security level
EAL4, EAL4 augmented
Claims
O.ACCOUNTABILITY, O.INTEGRITY, O.MANAGEMENT, O.PROTECTED_STORAGE, O.PROTECTED_COMMS, O.AUDITING, O.DISCRETIONARY, O.IA, O.I_A, O.IA_MULTIPLE, T.NETWORK_ATTACK, T.NETWORK_EAVESDROP, T.LOCAL_ATTACK, T.LIMITED_PHYSICAL_ACCESS, T.ACCESS, T.IA, A.PLATFORM, A.PROPER_USER, A.PROPER_ADMIN, A.PHYSICAL, A.PEER, A.CONNECT, OE.PLATFORM, OE.PROPER_USER, OE.PROPER_ADMIN, OE.REMOTE, OE.PHYSICAL, OE.RECOVER, OE.TRUSTED
Security Assurance Requirements (SAR)
ALC_FLR.3
Security Functional Requirements (SFR)
FAU_GEN.1, FAU_GEN.2, FAU_SAR.1, FAU_SAR.2, FAU_SAR.3, FAU_SEL.1, FAU_STG.1, FAU_STG.3, FAU_STG.4, FAU_GEN.1.1, FAU_GEN.1.2, FAU_GEN.2.1, FAU_SAR.1.1, FAU_SAR.1.2, FAU_SAR.2.1, FAU_SAR.3.1, FAU_SEL.1.1, FAU_STG.1.1, FAU_STG.1.2, FAU_STG.3.1, FAU_STG.4.1, FCS_TLSC_PLUS, FCS_TLSC_PLUS.1, FCS_TLSC_PLUS.2, FCS_TLSC_PLUS.3, FCS_CKM.1, FCS_CKM.2, FCS_CKM_EXT.4, FCS_COP.1, FCS_RBG_EXT.1, FCS_STO_EXT.1, FCS_TLSC_EXT.4, FCS_SSH_EXT.1, FCS_SSHC_EXT.1, FCS_SSHS_EXT.1, FCS_TLSC_PLUS.1.1, FCS_TLSC_PLUS.1.2, FCS_TLSC_PLUS.1.3, FCS_TLSC_PLUS.2.1, FCS_TLSC_EXT, FCS_CKM.1.1, FCS_CKM.2.1, FCS_CKM_EXT.4.1, FCS_CKM_EXT.4.2, FCS_COP.1.1, FCS_RBG_EXT.1.1, FCS_RBG_EXT.1.2, FCS_STO_EXT.1.1, FCS_TLSC_PLUS.3.1, FCS_SSH_EXT.1.1, FCS_SSHC_EXT, FCS_SSHS_EXT, FCS_TLSC_EXT.1, FCS_CKM.4, FDP_ACF_EXT.1, FDP_ACC.1, FDP_ACF.1, FDP_RIP.2, FDP_RIP, FDP_ACF_EXT.1.1, FDP_ACC.1.1, FDP_ACF.1.1, FDP_ACF.1.2, FDP_ACF.1.3, FDP_ACF.1.4, FDP_RIP.2.1, FDP_ITC.1, FDP_ITC.2, FDP_IFC.1, FIA_AFL.1, FIA_ATD.1, FIA_SOS.1, FIA_UAU.1, FIA_UAU.5, FIA_UAU.7, FIA_UID.1, FIA_USB.1, FIA_AFL.1.1, FIA_AFL.1.2, FIA_ATD.1.1, FIA_SOS.1.1, FIA_UAU.1.1, FIA_UAU.1.2, FIA_UAU.5.1, FIA_UAU.5.2, FIA_UAU.7.1, FIA_UID.1.1, FIA_UID.1.2, FIA_USB.1.1, FIA_USB.1.2, FIA_USB.1.3, FMT_MOF_EXT.1, FMT_SMF_EXT.1, FMT_MSA.1, FMT_MSA.3, FMT_MTD.1, FMT_SMR.1, FMT_MOF_EXT.1.1, FMT_SMF_EXT.1.1, FMT_MSA.1.1, FMT_MSA.3.1, FMT_MSA.3.2, FMT_MTD.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FMT_SMF.1, FPT_ACF_EXT.1, FPT_ASLR_EXT.1, FPT_STM.1, FPT_ACF_EXT.1.1, FPT_ACF_EXT.1.2, FPT_ASLR_EXT, FPT_STM.1.1, FTA_TAB.1, FTA_SSL.1, FTA_SSL.2, FTA_TAB.1.1, FTA_SSL.1.1, FTA_SSL.1.2, FTA_SSL.2.1, FTA_SSL.2.2, FTP_ITC_EXT.1, FTP_ITC.1, FTP_TRP.1, FTP_ITC_EXT.1.1, FTP_ITC.1.1, FTP_ITC.1.2, FTP_ITC.1.3, FTP_TRP.1.1, FTP_TRP.1.2, FTP_TRP.1.3
Protection profiles
BSI-CC-PP-0067

Side-channel analysis
side channels, side channel
Certification process
out of scope, The OS relies upon a trustworthy computing platform for its execution. This underlying platform is out of scope of this PP

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Certificate ID

OCSI/CERT/ATS/03/2020/RC

Extracted SARs

ADV_ARC.1, ADV_FSP.4, ADV_IMP.1, ADV_TDS.3, AGD_OPE.1, AGD_PRE.1, ALC_CMC.4, ALC_CMS.4, ALC_DEL.1, ALC_DVS.1, ALC_FLR.3, ALC_LCD.1, ALC_TAT.1, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1, ATE_COV.2, ATE_DPT.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.3

Cross-references

Loading...

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "Operating Systems",
  "cert_link": null,
  "dgst": "48d125b90e370836",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": "OCSI/CERT/ATS/03/2020/RC",
    "cert_lab": null,
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL4+",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMS",
          "level": 4
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_TSS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_FUN",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_DPT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_SPD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_TAT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_IND",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_FSP",
          "level": 4
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_CCL",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_ECD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_FLR",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_REQ",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_PRE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_INT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_IMP",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_ARC",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_COV",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_OPE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMC",
          "level": 4
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_LCD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DVS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_TDS",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_OBJ",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DEL",
          "level": 1
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "2",
        "4"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": null,
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": {
        "_type": "Set",
        "elements": [
          "OCSI/CERT/ATS/01/2018/RC"
        ]
      },
      "indirectly_referenced_by": null,
      "indirectly_referencing": {
        "_type": "Set",
        "elements": [
          "OCSI/CERT/ATS/01/2018/RC"
        ]
      }
    },
    "scheme_data": null,
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "IBM Corporation",
  "manufacturer_web": "https://www.ibm.com",
  "name": "IBM z/OS Version 2 Release 4",
  "not_valid_after": "2027-01-13",
  "not_valid_before": "2022-01-13",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": null,
    "cert_frontpage": null,
    "cert_keywords": null,
    "cert_metadata": null,
    "report_filename": "cr_zos_v2r4_v1.0_en.pdf",
    "report_frontpage": {},
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "IT": {
          "OCSI/CERT/ATS/01/2018/RC": 1,
          "OCSI/CERT/ATS/03/2020/RC": 39
        }
      },
      "cc_claims": {
        "O": {
          "O.J": 1
        }
      },
      "cc_protection_profile_id": {
        "BSI": {
          "BSI-CC-PP- 0067": 1,
          "BSI-CC-PP-0067": 2
        }
      },
      "cc_sar": {
        "ADV": {
          "ADV_ARC.1": 1,
          "ADV_FSP.4": 1,
          "ADV_IMP.1": 1,
          "ADV_TDS.3": 1
        },
        "AGD": {
          "AGD_OPE.1": 1,
          "AGD_PRE.1": 1
        },
        "ALC": {
          "ALC_CMC.4": 1,
          "ALC_CMS.4": 1,
          "ALC_DEL.1": 1,
          "ALC_DVS.1": 1,
          "ALC_FLR": 1,
          "ALC_FLR.3": 7,
          "ALC_LCD.1": 1,
          "ALC_TAT.1": 1
        },
        "ASE": {
          "ASE_CCL.1": 1,
          "ASE_ECD.1": 1,
          "ASE_INT.1": 1,
          "ASE_OBJ.2": 1,
          "ASE_REQ.2": 1,
          "ASE_SPD.1": 1,
          "ASE_TSS.1": 1
        },
        "ATE": {
          "ATE_COV.2": 1,
          "ATE_DPT.1": 1,
          "ATE_FUN.1": 1,
          "ATE_IND.2": 1
        },
        "AVA": {
          "AVA_VAN.3": 1
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL2": 2,
          "EAL4": 6,
          "EAL4 augmented": 1,
          "EAL4+": 1
        }
      },
      "cc_sfr": {
        "FCS": {
          "FCS_TLSC_PLUS.1": 2
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 2
        },
        "SSH": {
          "SSH": 9
        },
        "TLS": {
          "TLS": {
            "TLS": 9
          }
        }
      },
      "crypto_scheme": {
        "KEX": {
          "Key Exchange": 2
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "atsec": {
          "atsec": 6
        }
      },
      "hash_function": {
        "SHA": {
          "SHA2": {
            "SHA256": 1
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {
        "SCA": {
          "side channel": 1,
          "side channels": 1
        }
      },
      "standard_id": {
        "CC": {
          "CCMB-2017-04-001": 1,
          "CCMB-2017-04-002": 1,
          "CCMB-2017-04-003": 1,
          "CCMB-2017-04-004": 1
        },
        "ISO": {
          "ISO/IEC 15408": 6
        },
        "PKCS": {
          "PKCS#11": 1
        },
        "RFC": {
          "RFC 4217": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 1
          }
        },
        "DES": {
          "3DES": {
            "TDES": 1
          },
          "DES": {
            "DES": 2
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 1
          }
        },
        "eSTREAM": {
          "Rabbit": {
            "Rabbit": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {
        "CVE": {
          "CVE-2018-0734": 1,
          "CVE-2018-0735": 1
        }
      }
    },
    "report_metadata": {
      "/Author": "OCSI",
      "/CreationDate": "D:20220113110444+00\u002700\u0027",
      "/Creator": "Microsoft Word",
      "/ModDate": "D:20220113110444+00\u002700\u0027",
      "/Title": "Certification Report \"IBM z/OS Version 2 Release 4\"",
      "pdf_file_size_bytes": 573171,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 39
    },
    "st_filename": "st_zos_v2r4_v1.3.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 5
          },
          "ECDH": {
            "ECDHE": 3
          },
          "ECDSA": {
            "ECDSA": 17
          }
        },
        "FF": {
          "DH": {
            "DH": 3,
            "Diffie-Hellman": 5
          },
          "DSA": {
            "DSA": 1
          }
        }
      },
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.CONNECT": 5,
          "A.PEER": 8,
          "A.PHYSICAL": 4,
          "A.PLATFORM": 5,
          "A.PROPER_ADMIN": 6,
          "A.PROPER_USER": 5
        },
        "O": {
          "O.ACCOUNTABILITY": 12,
          "O.AUDITING": 15,
          "O.DISCRETIONARY": 14,
          "O.IA": 21,
          "O.IA_MULTIPLE": 1,
          "O.INTEGRITY": 19,
          "O.I_A": 1,
          "O.MANAGEMENT": 25,
          "O.PROTECTED_COMMS": 25,
          "O.PROTECTED_STORAGE": 10
        },
        "OE": {
          "OE.PHYSICAL": 4,
          "OE.PLATFORM": 4,
          "OE.PROPER_ADMIN": 4,
          "OE.PROPER_USER": 4,
          "OE.RECOVER": 3,
          "OE.REMOTE": 4,
          "OE.TRUSTED": 6
        },
        "T": {
          "T.ACCESS": 21,
          "T.IA": 13,
          "T.LIMITED_PHYSICAL_ACCESS": 4,
          "T.LOCAL_ATTACK": 3,
          "T.NETWORK_ATTACK": 11,
          "T.NETWORK_EAVESDROP": 5
        }
      },
      "cc_protection_profile_id": {
        "BSI": {
          "BSI-CC-PP-0067": 1
        }
      },
      "cc_sar": {
        "ALC": {
          "ALC_FLR.3": 5
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL4": 5,
          "EAL4 augmented": 2
        }
      },
      "cc_sfr": {
        "FAU": {
          "FAU_GEN.1": 14,
          "FAU_GEN.1.1": 1,
          "FAU_GEN.1.2": 1,
          "FAU_GEN.2": 9,
          "FAU_GEN.2.1": 1,
          "FAU_SAR.1": 9,
          "FAU_SAR.1.1": 1,
          "FAU_SAR.1.2": 1,
          "FAU_SAR.2": 7,
          "FAU_SAR.2.1": 1,
          "FAU_SAR.3": 7,
          "FAU_SAR.3.1": 1,
          "FAU_SEL.1": 8,
          "FAU_SEL.1.1": 1,
          "FAU_STG.1": 9,
          "FAU_STG.1.1": 1,
          "FAU_STG.1.2": 1,
          "FAU_STG.3": 7,
          "FAU_STG.3.1": 1,
          "FAU_STG.4": 7,
          "FAU_STG.4.1": 1
        },
        "FCS": {
          "FCS_CKM.1": 19,
          "FCS_CKM.1.1": 1,
          "FCS_CKM.2": 10,
          "FCS_CKM.2.1": 1,
          "FCS_CKM.4": 6,
          "FCS_CKM_EXT.4": 7,
          "FCS_CKM_EXT.4.1": 1,
          "FCS_CKM_EXT.4.2": 1,
          "FCS_COP.1": 66,
          "FCS_COP.1.1": 1,
          "FCS_RBG_EXT.1": 8,
          "FCS_RBG_EXT.1.1": 1,
          "FCS_RBG_EXT.1.2": 1,
          "FCS_SSHC_EXT": 8,
          "FCS_SSHC_EXT.1": 6,
          "FCS_SSHS_EXT": 7,
          "FCS_SSHS_EXT.1": 6,
          "FCS_SSH_EXT.1": 6,
          "FCS_SSH_EXT.1.1": 1,
          "FCS_STO_EXT.1": 7,
          "FCS_STO_EXT.1.1": 1,
          "FCS_TLSC_EXT": 2,
          "FCS_TLSC_EXT.1": 1,
          "FCS_TLSC_EXT.4": 7,
          "FCS_TLSC_PLUS": 6,
          "FCS_TLSC_PLUS.1": 13,
          "FCS_TLSC_PLUS.1.1": 2,
          "FCS_TLSC_PLUS.1.2": 2,
          "FCS_TLSC_PLUS.1.3": 2,
          "FCS_TLSC_PLUS.2": 13,
          "FCS_TLSC_PLUS.2.1": 2,
          "FCS_TLSC_PLUS.3": 13,
          "FCS_TLSC_PLUS.3.1": 1
        },
        "FDP": {
          "FDP_ACC.1": 33,
          "FDP_ACC.1.1": 3,
          "FDP_ACF.1": 30,
          "FDP_ACF.1.1": 3,
          "FDP_ACF.1.2": 3,
          "FDP_ACF.1.3": 3,
          "FDP_ACF.1.4": 3,
          "FDP_ACF_EXT.1": 7,
          "FDP_ACF_EXT.1.1": 1,
          "FDP_IFC.1": 3,
          "FDP_ITC.1": 6,
          "FDP_ITC.2": 6,
          "FDP_RIP": 5,
          "FDP_RIP.2": 9,
          "FDP_RIP.2.1": 1
        },
        "FIA": {
          "FIA_AFL.1": 8,
          "FIA_AFL.1.1": 1,
          "FIA_AFL.1.2": 1,
          "FIA_ATD.1": 10,
          "FIA_ATD.1.1": 1,
          "FIA_SOS.1": 7,
          "FIA_SOS.1.1": 1,
          "FIA_UAU.1": 12,
          "FIA_UAU.1.1": 1,
          "FIA_UAU.1.2": 1,
          "FIA_UAU.5": 11,
          "FIA_UAU.5.1": 1,
          "FIA_UAU.5.2": 1,
          "FIA_UAU.7": 7,
          "FIA_UAU.7.1": 1,
          "FIA_UID.1": 11,
          "FIA_UID.1.1": 1,
          "FIA_UID.1.2": 1,
          "FIA_USB.1": 7,
          "FIA_USB.1.1": 1,
          "FIA_USB.1.2": 1,
          "FIA_USB.1.3": 1
        },
        "FMT": {
          "FMT_MOF_EXT.1": 7,
          "FMT_MOF_EXT.1.1": 1,
          "FMT_MSA.1": 33,
          "FMT_MSA.1.1": 3,
          "FMT_MSA.3": 30,
          "FMT_MSA.3.1": 3,
          "FMT_MSA.3.2": 3,
          "FMT_MTD.1": 10,
          "FMT_MTD.1.1": 1,
          "FMT_SMF.1": 3,
          "FMT_SMF_EXT.1": 9,
          "FMT_SMF_EXT.1.1": 1,
          "FMT_SMR.1": 14,
          "FMT_SMR.1.1": 1,
          "FMT_SMR.1.2": 1
        },
        "FPT": {
          "FPT_ACF_EXT.1": 7,
          "FPT_ACF_EXT.1.1": 1,
          "FPT_ACF_EXT.1.2": 1,
          "FPT_ASLR_EXT": 1,
          "FPT_ASLR_EXT.1": 7,
          "FPT_STM.1": 9,
          "FPT_STM.1.1": 1
        },
        "FTA": {
          "FTA_SSL.1": 8,
          "FTA_SSL.1.1": 1,
          "FTA_SSL.1.2": 1,
          "FTA_SSL.2": 8,
          "FTA_SSL.2.1": 1,
          "FTA_SSL.2.2": 1,
          "FTA_TAB.1": 7,
          "FTA_TAB.1.1": 1
        },
        "FTP": {
          "FTP_ITC.1": 9,
          "FTP_ITC.1.1": 1,
          "FTP_ITC.1.2": 1,
          "FTP_ITC.1.3": 1,
          "FTP_ITC_EXT.1": 8,
          "FTP_ITC_EXT.1.1": 1,
          "FTP_TRP.1": 7,
          "FTP_TRP.1.1": 1,
          "FTP_TRP.1.2": 1,
          "FTP_TRP.1.3": 1
        }
      },
      "certification_process": {
        "OutOfScope": {
          "The OS relies upon a trustworthy computing platform for its execution. This underlying platform is out of scope of this PP": 1,
          "out of scope": 1
        }
      },
      "cipher_mode": {
        "CBC": {
          "CBC": 5
        },
        "CTR": {
          "CTR": 1
        },
        "ECB": {
          "ECB": 1
        },
        "GCM": {
          "GCM": 7
        },
        "XTS": {
          "XTS": 1
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 14,
          "IKEv1": 3,
          "IKEv2": 10
        },
        "IPsec": {
          "IPsec": 6
        },
        "SSH": {
          "SSH": 63,
          "SSHv2": 2
        },
        "TLS": {
          "SSL": {
            "SSL": 22
          },
          "TLS": {
            "TLS": 59,
            "TLS 1.2": 7,
            "TLS 1.3": 7,
            "TLS v1.2": 1
          }
        }
      },
      "crypto_scheme": {
        "KEX": {
          "Key Exchange": 9
        },
        "MAC": {
          "MAC": 5
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 4,
          "P-384": 4,
          "P-521": 4,
          "secp256r1": 6,
          "secp384r1": 6,
          "secp521r1": 6
        }
      },
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA1": {
            "SHA-1": 7
          },
          "SHA2": {
            "SHA-2": 6,
            "SHA-256": 5,
            "SHA-384": 2,
            "SHA-512": 6,
            "SHA256": 7,
            "SHA384": 7,
            "SHA512": 7
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 3
        },
        "RNG": {
          "RBG": 1
        },
        "TRNG": {
          "TRNG": 1
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "side channel": 1,
          "side channels": 1
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 3,
          "FIPS 186-4": 1,
          "FIPS PUB 140-2": 1,
          "FIPS PUB 186-4": 5,
          "FIPS PUB 197": 1,
          "FIPS186-4": 19
        },
        "NIST": {
          "NIST SP 800-38A": 1,
          "NIST SP 800-38C": 1,
          "NIST SP 800-38D": 1,
          "NIST SP 800-38E": 1,
          "NIST SP 800-57": 1,
          "NIST SP 800-90A": 2
        },
        "PKCS": {
          "PKCS #1": 1,
          "PKCS #11": 2,
          "PKCS#1": 2,
          "PKCS#11": 6
        },
        "RFC": {
          "RFC 3602": 1,
          "RFC 4252": 1,
          "RFC2404": 4,
          "RFC2407": 2,
          "RFC2408": 2,
          "RFC2409": 2,
          "RFC2560": 3,
          "RFC3602": 3,
          "RFC4106": 5,
          "RFC4109": 2,
          "RFC4251": 3,
          "RFC4252": 4,
          "RFC4253": 6,
          "RFC4301": 5,
          "RFC4302": 2,
          "RFC4303": 5,
          "RFC4305": 2,
          "RFC4307": 3,
          "RFC4308": 3,
          "RFC4718": 2,
          "RFC4753": 2,
          "RFC4754": 2,
          "RFC4809": 2,
          "RFC4835": 2,
          "RFC4868": 4,
          "RFC4869": 2,
          "RFC4945": 2,
          "RFC5246": 13,
          "RFC5280": 6,
          "RFC5288": 5,
          "RFC5289": 17,
          "RFC5647": 2,
          "RFC5656": 2,
          "RFC5759": 2,
          "RFC5996": 3,
          "RFC6125": 2,
          "RFC8017": 10,
          "RFC8446": 12
        },
        "X509": {
          "X.509": 10,
          "x.509": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 17,
            "AES-256": 1
          }
        },
        "DES": {
          "DES": {
            "DES": 2
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 3,
            "HMAC-SHA-256": 1,
            "HMAC-SHA-384": 1,
            "HMAC-SHA-512": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {
        "IBM": {
          "SE": 1
        }
      },
      "tls_cipher_suite": {
        "TLS": {
          "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 3,
          "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 3,
          "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 3,
          "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 3,
          "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 3,
          "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 3,
          "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 3,
          "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 3,
          "TLS_RSA_WITH_AES_128_CBC_SHA": 3,
          "TLS_RSA_WITH_AES_128_CBC_SHA256": 3,
          "TLS_RSA_WITH_AES_128_GCM_SHA256": 3,
          "TLS_RSA_WITH_AES_256_CBC_SHA": 3,
          "TLS_RSA_WITH_AES_256_CBC_SHA256": 3,
          "TLS_RSA_WITH_AES_256_GCM_SHA384": 3
        }
      },
      "vendor": {},
      "vulnerability": {}
    },
    "st_metadata": {
      "/Author": "Mark Nelson, IBM (generated by CCTool version 2.8.4.57)",
      "/CreationDate": "D:20220110104404Z",
      "/Creator": "Unknown",
      "/Keywords": "operating system, access control, identification, authentication, audit, object reuse",
      "/ModDate": "D:20220110104404Z",
      "/Producer": "XEP 4.29.837",
      "/Subject": "IBM z/OS Version 2 Release 4",
      "/Title": "Security Target for z/OS Version 2 Release 4 (version 1.3 as of 2022-01-10)",
      "/Trapped": "/False",
      "/application": "CCTool version x.y",
      "pdf_file_size_bytes": 1471495,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.ietf.org/rfc/rfc4868.txt",
          "http://www.ietf.org/rfc/rfc5288.txt",
          "http://www.ietf.org/rfc/rfc5280.txt",
          "http://www.ietf.org/rfc/rfc5647.txt",
          "http://www.ietf.org/rfc/rfc4945.txt",
          "http://www.ietf.org/rfc/rfc4252.txt",
          "http://www.ietf.org/rfc/rfc4305.txt",
          "http://www.ietf.org/rfc/rfc2404.txt",
          "http://www.ietf.org/rfc/rfc4302.txt",
          "http://www.ietf.org/rfc/rfc4754.txt",
          "http://www.ietf.org/rfc/rfc5759.txt",
          "http://www.ietf.org/rfc/rfc2408.txt",
          "http://www.ietf.org/rfc/rfc3602.txt",
          "http://www.ietf.org/rfc/rfc2409.txt",
          "http://www.ietf.org/rfc/rfc8446.txt",
          "http://www.ietf.org/rfc/rfc4106.txt",
          "http://www.ietf.org/rfc/rfc4753.txt",
          "http://www.ietf.org/rfc/rfc4718.txt",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART2V3.1R5.pdf",
          "http://www.ietf.org/rfc/rfc2407.txt",
          "http://www.ietf.org/rfc/rfc5246.txt",
          "https://www-01.ibm.com/servers/resourcelink/svc00100.nsf/pages/zOSV2R4sa320976/$file/ikjb400_v2r4.pdf",
          "http://www.ietf.org/rfc/rfc4308.txt",
          "http://www.ietf.org/rfc/rfc4301.txt",
          "http://www.ietf.org/rfc/rfc6125.txt",
          "http://www.ietf.org/rfc/rfc4869.txt",
          "http://www.ietf.org/rfc/rfc4835.txt",
          "http://www.ietf.org/rfc/rfc5289.txt",
          "http://www.ietf.org/rfc/rfc4307.txt",
          "http://www.ietf.org/rfc/rfc4253.txt",
          "http://www.ietf.org/rfc/rfc5996.txt",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART3V3.1R5.pdf",
          "http://www.ietf.org/rfc/rfc4109.txt",
          "http://www.ietf.org/rfc/rfc4251.txt",
          "http://www.ietf.org/rfc/rfc5656.txt",
          "http://www.ietf.org/rfc/rfc4809.txt",
          "https://csrc.nist.gov/publications/detail/fips/186/4/final",
          "http://www.ietf.org/rfc/rfc2560.txt",
          "http://www.ietf.org/rfc/rfc8017.txt",
          "http://www.ietf.org/rfc/rfc4303.txt",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART1V3.1R5.pdf"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 127
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": []
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/cr_zos_v2r4_v1.0_en.pdf",
  "scheme": "IT",
  "security_level": {
    "_type": "Set",
    "elements": [
      "EAL4+",
      "ALC_FLR.3"
    ]
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_zos_v2r4_v1.3.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "1fe631774ff350acd64cff097c57d4faa246e5bf29cd13e0fb1fab4a77dfdb6b",
      "source_hash": "d05171a224dd78a7d5a23c5b53b66074221a68a8231ca5fa0b52d7522426d3d3",
      "txt_hash": "74479dd7a00ad89765b4118d4be0f1cfe4e2c3a49728ac10475677bf577a120d"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "966e49a0b785be9bb5f54e1b8b376f8f7211370498689d3e9c4d4218fdfea0f8",
      "source_hash": "f2f79e493a7fd19b876205b21edcee40178e9e095d2455dca094d771aec125d7",
      "txt_hash": "5cb240a89622f789e1df1f4158c1c46c35cbd7a2b93e80ab0c20c8fea7be5a9a"
    }
  },
  "status": "active"
}